Cygport Reference Manual

### TABLE OF CONTENTS

- python2-distutils.cygclass

- python2_distutils_compile
- python2_distutils_install
- src_compile (python2-distutils)
- src_install (python2-distutils)

## python2-distutils.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

DESCRIPTION

Distutils is the most common method for building and installing Python libraries and programs. The build is defined by a setup.py file in the top source directory, which controls the installation of files and the building of C Python extensions. Many such packages are hosted on the Python Package Index (PyPI, previously known as Cheeseshop).

This cygclass handles the building of Python 2.x distutils-based packages.

INHERITS

python.org.cygclass, python2.cygclass

REQUIRES

python2

## python2_distutils_compile

[ Top ] [ python2-distutils.cygclass ] [ Compile Functions ]

SYNOPSIS

      python2_distutils_compile [OPTIONS]

DESCRIPTION

Runs the setup.py 'build' command, to which any arguments are passed.

## python2_distutils_install

[ Top ] [ python2-distutils.cygclass ] [ Install Functions ]

SYNOPSIS

      python2_distutils_install [OPTIONS]

DESCRIPTION

Runs the setup.py 'install' phase, setting the root argument to install into $D. All arguments are passed to the setup.py 'install' command.

## src_compile (python2-distutils)

[ Top ] [ python2-distutils.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            lndirs
            cd ${B}
            python2_distutils_compile
    }

## src_install (python2-distutils)

[ Top ] [ python2-distutils.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${B}
            python2_distutils_install
    }